#!/bin/sh

mypath=${0%/*}

showRadio "zn5 magicbox loader" "" "load" "delete"
case $? in
	1)
		kill `pidof taskmgr`
	
		if [ ! -d /ezxlocal/magicbox ]
		then
			echo "init files..."

			mkdir -p /ezxlocal/magicbox
			cp $mypath/magicbox* /ezxlocal/magicbox/

			chmod 777 -R /ezxlocal/magicbox
			chown 2000:233 -R /ezxlocal/magicbox
		fi
		
		if [ ! -f /mmc/movinand1/unKnown/S10magicbox ]
		then
			echo "copy autorun..."

			cp $mypath/S10magicbox /mmc/movinand1/unKnown/S10magicbox
		fi

		if [ "`pidof magicbox`" != "" ]
		then
			showQ "" "ok!" 2
		else
			/ezxlocal/magicbox/magicbox
			sleep 3

			if [ "`pidof magicbox`" != "" ]
			then
				showQ "" "ok!" 2
			else
				showQ "" "error!" 2
			fi
		fi
	;;

	2)
		rm -rf /ezxlocal/magicbox
		rm -f /mmc/movinand1/unKnown/S10magicbox
		kill `pidof magicbox`
		showQ "" "ok, reboot to apply!" 2
	;;

	*)
	;;
esac
